Difference between revisions of "Draft Line/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
(Created page with "==Description== Cet outil demande à l'utilisateur de spécifier deux points et trace une ligne entre ceux-ci dans le plan de travail courant [[File...")
(Created page with "==Utilisation== <br /> # Cliquez sur le bouton {{KEY|24px Draft Line}} ou pressez sur les touches {{KEY|L}} puis {{KEY|I}} # Cliquez...")
Line 7: Line 7:
 
[[Image:Draft_Line_example.jpg|400px]]
 
[[Image:Draft_Line_example.jpg|400px]]
  
==How to use==
+
==Utilisation==
# Press the {{KEY|[[Image:Draft Line.png|16px]] [[Draft Line]]}} button, or press {{KEY|L}} then {{KEY|I}} keys
+
<br />
# Click a first point on the 3D view, or type a [[Draft_Coordinates|coordinate]]
+
# Cliquez sur le bouton {{KEY|[[Image:Draft Line.png|24px]] [[Draft Line/fr|Draft Line]]}} ou pressez sur les touches {{KEY|L}} puis {{KEY|I}}
# Click a second point on the 3D view, or type a [[Draft_Coordinates|coordinate]]
+
# Cliquez le premier point dans la vue 3D view, ou entrez les [[Draft_Coordinates/fr|coordonnées]]
 +
# Cliquez le deuxième point dans la vue 3D view, ou entrez les [[Draft_Coordinates/fr|coordonnées]]
  
 
==Options==
 
==Options==

Revision as of 21:24, 3 January 2014

Draft Line.svg Ligne

Emplacement du menu
Draft → Ligne
Ateliers
Planche à dessin (2d Draft)
Raccourci par défaut
L I
Introduit dans la version
-
Voir aussi
Filaire


Description

Cet outil demande à l'utilisateur de spécifier deux points et trace une ligne entre ceux-ci dans le plan de travail courant Draft Workingplane.png. Il prend la largeur et la couleur préalablement définies sur l'onglet Tâches ou à partir de la barre d'outils "d'application de Style" Draft Style 01.png (voir plus de détails en bas).
L'outil ligne se comporte comme une polyline (Draft Wire) Draft Wire.png à la différence qu'il s'arrête au bout deux points. Les points peuvent être choisis à l'aide de la souris dans la vue modèle 3D, ou bien par la saisie de coordonnées à l'aide du clavier.

Draft Line example.jpg

Utilisation


  1. Cliquez sur le bouton Draft Line.png Draft Line ou pressez sur les touches L puis I
  2. Cliquez le premier point dans la vue 3D view, ou entrez les coordonnées
  3. Cliquez le deuxième point dans la vue 3D view, ou entrez les coordonnées

Options

  • Press X, Y or Z after the first point to constrain the second point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the second point are relative to the first one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Line tool will restart after you give the second point, allowing you to draw another line segment without pressing the Line button again.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press CTRL+Z or press the Draft UndoLine.png Undo button to undo the last point.
  • Press ESC or the Cancel button to abort the current Line command.

Properties

  • DataStart: The start point
  • DataEnd: The end point

Scripting

The Line tool can by used in macros and from the python console by using the following function:

{{Code|code=
makeLine (Vector, Vector)
}}
  • Creates a line between the two given vectors. The current draft linewidth and color will be used.
  • Returns the newly created object.

Example:

{{Code|code=
import FreeCAD, Draft
Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
}}
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎